Software for Opening Documents in EC-link

Home>EC-link>System Requirements for EC-link>Software for Opening Documents in EC-link

The following softwares are required to open files downloaded from EC-link website:

PDF Document
(pdf)
Adobe Acrobat Reader XI or above
("Font Packs Add-on" is required if necessary)
Get free Adobe Acrobat Reader
Excel Document
(xls)
Microsoft Excel 2003 or above
Word Document
(doc)
Microsoft Word 2003 or above
Goto the top of the page